var index = {
	options: {
		ACTIVE_COLOR: "#007aff",
		NORMAL_COLOR: "#000",
		tabs: [plus.webview.currentWebview().id,"html/classify.html", "html/cart.html"],
		shows: {} //key为tabid,value为是否已经显示
	},
	/**
	 * 初始化
	 */
	init: function(){
		//获取登录Token
		var token = myStorage.getItem('token');
		if(null == token){
			//表示新用户或已经退出
			index.options.tabs[3] = 'html/mobileLogin.html';//登录注册
		}else{
			index.options.tabs[3] = 'html/i.html';//个人中心
		}
		
		var substyle = {
			top: 0,
			bottom: 51
		};
		var tabs = index.options.tabs;
		var self = plus.webview.currentWebview();
		
		//兼容安卓上添加titleNView 和 设置沉浸式模式会遮盖子webview内容
		if(mui.os.android) {
			if(plus.navigator.isImmersedStatusbar()) {
				substyle.top += plus.navigator.getStatusbarHeight();
			}
			if(self.getTitleNView()) {
				substyle.top += 40;
			}
		}
		
		//初始化当前窗口为显示
		index.options.shows[self.id] = true;
		
		//初始化所有tab
		for(var i = 0, len = tabs.length; i < len; i++) {
			if(!plus.webview.getWebviewById(tabs[i])) {
				console.log('成功创建子webview=' + tabs[i]);
				var sub = plus.webview.create(tabs[i], tabs[i], substyle);
				//初始化隐藏
				sub.hide();
				// append到当前父webview
				self.append(sub);
			}
		}
		
		//绘制
		index.drawTab(0);
		
		//绑定切换tab事件
		var nview = plus.nativeObj.View.getViewById('tabBar');
		var activePage = plus.webview.currentWebview();
		var pageW = window.innerWidth;
		/**
		 * 根据判断view控件点击位置判断切换的tab
		 */
		nview.addEventListener('click', function(e) {
			var currIndex;
			var clientX = e.clientX;
			console.log('点击屏幕clientX=' + clientX);
			if(clientX > 0 && clientX <= parseInt(pageW * 0.25)) {
				currIndex = 0;
			} else if(clientX > parseInt(pageW * 0.25) && clientX <= parseInt(pageW * 0.50)) {
				currIndex = 1;
			} else if(clientX > parseInt(pageW * 0.50) && clientX <= parseInt(pageW * 0.75)) {
				currIndex = 2;
			} else {
				currIndex = 3;
			}
				console.log(currIndex);
			// 匹配对应tab窗口	
			if(currIndex > 0) {
				targetPage = plus.webview.getWebviewById(index.options.tabs[currIndex - 1]);
			} else {
				targetPage = plus.webview.currentWebview();
			}
			
			index.changeTab(targetPage);
			index.drawTab(currIndex);
		});
	},
	/**	
	 * 点击切换tab窗口 
	 */
	changeTab: function(targetPage){
		//若为iOS平台或非首次显示，则直接显示
		if(mui.os.ios || index.options.shows[targetPage]) {
			plus.webview.show(targetPage);
		} else {
			//否则，使用fade-in动画，且保存变量
			index.options.shows[targetPage] = true;
			plus.webview.show(targetPage, "fade-in", 300);
		}	
		
		//隐藏当前 除了第一个父窗口
		var all = plus.webview.all();
		for(var i = 0 ; i < all.length; i ++){
			var activePage = all[i];
			if(activePage !== plus.webview.getLaunchWebview() && activePage != targetPage) {
				plus.webview.hide(activePage);
			}
		}
	},
	/**
	 * 点击重绘底部tab （subnview控件）
	 */
	drawTab: function(tabIndex){
		
		tabIndex = tabIndex * 2;// 重绘当前tag 包括icon和text，所以执行两个重绘操作
		index.updateSubNView(tabIndex, index.options.ACTIVE_COLOR);
		index.updateSubNView(tabIndex + 1, index.options.ACTIVE_COLOR);
		// 重绘兄弟tag 反之清除非当前点击的icon和text
		for(var i = 0; i < 8; i++) {
			if(i !== tabIndex && i !== tabIndex + 1) {
				index.updateSubNView(i, index.options.NORMAL_COLOR);
			}
		}
	},
	/*
	 * 利用 plus.nativeObj.View 提供的 drawText 方法更新 view 控件
	 */
	updateSubNView: function(i, color) {
		var self = plus.webview.currentWebview(),
			nviewEvent = plus.nativeObj.View.getViewById("tabBar"), // 获取bar nview控件对象
			nviewObj = self.getStyle().subNViews[0], // 获取nview对象的属性
			currTag = nviewObj.tags[i]; // 获取当前需重绘的tag
	
		currTag.color = color;//修改颜色
		nviewEvent.drawText(currTag.text, currTag.position, currTag, currTag.id);
	}
}
